package org.springblade.common.auth.support;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.wn.common.datamodel.Long2StringSerializer;
import java.io.Serializable;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author caiyihua
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class Department implements Serializable {

    private static final long serialVersionUID = 1L;

    @JsonSerialize(using = Long2StringSerializer.class)
    private Long id;

    private String name;

    private String positionName;

}
