package org.springblade.common.upyzt.param;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
public class OrganizationCertParam implements Serializable {
    /**
     * 组织机构代码证照片
     */
    private String copy;

    /**
     * 组织机构代码
     */
    private String number;

    /**
     * 组织机构代码有效期限
     */
    private String validTime;
}
