package org.springblade.common.upyzt.resp;

import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.experimental.Accessors;

import java.util.List;


/**
 * <p>
 * 母户入金，虚户入金查询返回具体数据
 * </p>
 * @author pingxx
 * @since 2021-07-26
 */
@Getter
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
public class AcctDepositPaginationResp extends UpyztResp {
    /**
     * 总条数
     */
    private Long total;

    /**
     * 当前页码
     */
    private Long page;

    /**
     * 每页条数
     */
    private Long size;

    /**
     * 列表数据
     */
    private List<AcctDepositResp> data;
}
