package org.springblade.common.upyzt.resp;

import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.experimental.Accessors;

import java.time.LocalDateTime;
import java.util.Map;

@Getter
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
public class BalanceAcctFreezeResp extends UpyztResp {
    /**
     * 电子账簿ID
     */
    private String balanceAcctFreezeId;

    /**
     * 关联的商户订单号
     */
    private String outRequestNo;

    /**
     * true: 冻结; false: 解冻
     */
    private Boolean freeze;

    /**
     * 交易状态。processing（处理中）; succeeded （成功）; failed （失败）
     */
    private String status;

    /**
     * 处理完成时间
     */
    private LocalDateTime finishedAt;

    /**
     * 备注
     */
    private String remark;

    /**
     * 自定义参数
     */
    private Map<String, Object> metadata;
}
