package org.springblade.modules.app.common.dto;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @ClassName: UserQuery
 * @Description:
 * @author: fxs
 * @createTime: 2021-11-08-13:59
 */

@Data
@Api(tags = "问题反馈新增")
public class ProblemBackInsertDTO implements Serializable {

    private String id;

    /**
     * 内容
     */
    @ApiModelProperty(name = "content", value = "内容")
    private String content;

    /**
     * 附件url1
     */
    @ApiModelProperty(name = "pictureUrl1", value = "附件url1")
    private String pictureUrl1;

    /**
     * 附件url2
     */
    @ApiModelProperty(name = "pictureUrl2", value = "附件url2")
    private String pictureUrl2;

    /**
     * 附件url3
     */
    @ApiModelProperty(name = "pictureUrl3", value = "附件url3")
    private String pictureUrl3;

    private String token;

    private Integer replyType;
}
