package org.springblade.modules.app.common.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * 热力图统计（头部）
 * </p>
 *
 * @author zhangk
 * @since 2021-12-30
 */
@Data
@ApiModel(value = "StatHeatMapTopDTO", description = "热力图统计（头部）")
public class StatHeatMapTopDTO  {

    private static final long serialVersionUID = 1L;

    /**
     * 区域外调入量
     */
    @ApiModelProperty(name = "outOfAreaQuantity", value = "区域外调入量")
    private Integer outOfAreaQuantity;

    /**
     * 区域内调入量
     */
    @ApiModelProperty(name = "withinAreaQuantity", value = "区域内调入量")
    private Integer withinAreaQuantity;

    /**
     * 供浙服务商经纪人数量
     */
    @ApiModelProperty(name = "agentUserQuantity", value = "供浙服务商经纪人数量")
    private Integer agentUserQuantity;

    /**
     * 省内经营分销户数量
     */
    @ApiModelProperty(name = "slaughterHouseQuantity", value = "省内经营分销户数量")
    private Integer slaughterHouseQuantity;
}
