package org.springblade.modules.app.common.query;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.extern.slf4j.Slf4j;

import java.io.Serializable;

/**
 * @author huyinuo
 */
@Data
@Api(tags = "最新app版本查询条件")
@Slf4j
public class LatestAppVersionQuery implements Serializable {

    private static final long serialVersionUID = 3315064777503424033L;

    /**
     * 渠道类型 0：通用渠道 1：华为渠道
     */
    @ApiModelProperty(name = "channelType", value = "渠道类型 0：通用渠道 1：华为渠道")
    private Integer channelType;
}
