package org.springblade.modules.app.common.query;

import com.wn.common.datamodel.BaseQuery;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @ClassName: UserQuery
 * @Description:
 * @author: fxs
 * @createTime: 2021-11-08-13:59
 */

@Data
@Api(tags = "问题反馈条件")
public class ProblemBackQuery extends BaseQuery {


    /**
     * 提议用户名称
     */
    @ApiModelProperty(name = "userName", value = "提议用户名称")
    private String userName;

    private Long userId;

    /**
     * 开始时间
     */
    @ApiModelProperty(name = "startTime", value = "开始时间")
    private String startTime;

    /**
     * 结束时间
     */
    @ApiModelProperty(name = "endTime", value = "结束时间")
    private String endTime;

    /**
     * 状态
     */
    @ApiModelProperty(name = "state", value = "状态 0未查看  1已查看")
    private Integer state;

}
