package org.springblade.modules.app.common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @ClassName: IndexNotifyVO
 * @Description: 审批
 * @author: fxs
 * @createTime: 2021-11-05-15:36
 */
@Data
@ApiModel(value = "ApprovalVO", description = "审批")
public class IndexNotifyVO {

    /**
     * 类型 1-备案管理 2-调运单管理 3-运输单管理 4-待宰户管理
     */
    @ApiModelProperty(name = "type", value = "类型 1-备案管理 2-调运单管理 3-运输单管理 4-代宰户管理")
    private Integer type;
    /**
     * 是否有待确认项 0-否 1-是
     */
    @ApiModelProperty(name = "ifNotify", value = "是否有待确认项 0-否 1-是")
    private Integer ifNotify;
    /**
     * 待确认数量
     */
    @ApiModelProperty(name = "num", value = "待确认数量")
    private Integer num;

}
