package org.springblade.modules.app.common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @ClassName: OutApiSyncSupplierParamVO
 * @Description:
 * @author: fxs
 * @createTime: 2021-12-20-15:06
 */
@Data
@ApiModel(value = "OutApiSyncSupplierParamVO", description = "浙牧通对外接口--供应商响应VO")
public class OutApiSyncSupplierResultVO {

    /**
     * 区划 ID
     */
    @ApiModelProperty(name = "area", value = "区划 ID")
    private Long area;

    /**
     * 区划名字
     */
    @ApiModelProperty(name = "areaName", value = "区划名字")
    private String areaName;

    /**
     * 供货方 ID
     */
    @ApiModelProperty(name = "supplierId", value = "供货方 ID")
    private Long supplierId;

    /**
     * 供货方名称
     */
    @ApiModelProperty(name = "supplierName", value = "供货方名称")
    private String supplierName;

    /**
     * 供货方类型(1.供东部生猪屠宰企 业；2.六省供货方 4.无疫小区 )
     */
    @ApiModelProperty(name = "supplierType", value = "供货方类型(1.供东部生猪屠宰企 业；2.六省供货方 4.无疫小区 )")
    private Integer supplierType;

    /**
     * 供货方手机号
     */
    @ApiModelProperty(name = "supplierTel", value = "供货方手机号")
    private String supplierTel;

}
