package org.springblade.modules.app.common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @ClassName: VerifyPrctureVO
 * @Description: A票图片信息
 * @author: fxs
 * @createTime: 2021-11-05-15:36
 */
@Data
@ApiModel(value = "VerifyPictureInfoVO", description = "图片信息")
public class VerifyPictureInfoVO {
    /**
     * 数量
     */
    @ApiModelProperty(name = "num", value = "数量")
    private Integer num;

    /**
     * A票编号
     */
    @ApiModelProperty(name = "verifyCode", value = "A票编号")
    private Long verifyCode;

    /**
     * 车牌号
     */
    @ApiModelProperty(name = "carCode", value = "车牌号")
    private String carCode;

    /**
     * 签发日期
     */
    @ApiModelProperty(name = "issuingDate", value = "签发日期")
    private Date issuingDate;

    /**
     * 实收数量
     */
    @ApiModelProperty(name = "acceptNum", value = "实收数量(头)")
    private Integer acceptNum;

    /**
     * 实收重量
     */
    @ApiModelProperty(name = "acceptWeight", value = "实收重量(KG)")
    private Integer acceptWeight;

    /**
     * 过磅重量
     */
    @ApiModelProperty(name = "grossWeight", value = "过磅重量(KG)")
    private Integer grossWeight;
}
