package org.springblade.modules.app.common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @ClassName: OutApiSyncParamVO
 * @Description:
 * @author: fxs
 * @createTime: 2021-12-20-15:06
 */
@Data
@ApiModel(value = "VerifyResultVO", description = "浙牧通对外接口--检疫站报检审批结果VO")
public class VerifyResultVO {

    /**
     * 备案单编号
     */
    @ApiModelProperty(name = "recordCode", value = "备案单编号")
    private String recordCode;

    /**
     * 版本号
     */
    @ApiModelProperty(name = "result", value = "审批结果 0-未通过 1-通过")
    private Integer result;

    /**
     * 审批意见
     */
    @ApiModelProperty(name = "message", value = "审批意见")
    private String message;

    /**
     * 报检时间
     */
    @ApiModelProperty(name = "verifyTime", value = "报检时间")
    private Date verifyTime;

    /**
     * 报检检查站
     */
    @ApiModelProperty(name = "verifyStation", value = "报检检查站")
    private String verifyStation;

    /**
     * 是否处罚 0-否 1-是
     */
    @ApiModelProperty(name = "ifPunish", value = "是否处罚 0-否 1-是")
    private Integer ifPunish;

    /**
     * 违规情况
     */
    @ApiModelProperty(name = "violation", value = "违规情况")
    private String violation;

    /**
     * 违规处理情况
     */
    @ApiModelProperty(name = "violationHandling", value = "违规处理情况")
    private String violationHandling;

    /**
     * 处理详情
     */
    @ApiModelProperty(name = "handlingDetail", value = "处理详情")
    private String handlingDetail;
}
