package org.springblade.modules.app.common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @ClassName: OutApiSyncParamVO
 * @Description:
 * @author: fxs
 * @createTime: 2021-12-20-15:06
 */
@Data
@ApiModel(value = "WaybillResultVO", description = "浙牧通对外接口--备案单（调运单）审批结果VO")
public class WaybillResultVO {

    /**
     * 备案单编号
     */
    @ApiModelProperty(name = "recordCode", value = "备案单编号")
    private String recordCode;

    /**
     * 审批结果 0-未通过 1-通过
     */
    @ApiModelProperty(name = "result", value = "审批结果 0-未通过 1-通过")
    private Integer result;

    /**
     * 审批意见
     */
    @ApiModelProperty(name = "message", value = "审批意见")
    private String message;
}
