package org.springblade.modules.app.entity;

import com.wn.common.datamodel.LogicDeleteBaseDO;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.Version;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 入浙备案登记信息
 * </p>
 *
 * @author huyinuo
 * @since 2022-01-11
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("tb_entering_zhejiang_filing")
public class EnteringZhejiangFilingDO extends LogicDeleteBaseDO {

    private static final long serialVersionUID = 1L;

    /**
     * 养殖场id
     */
    private Long userId;

    /**
     * 养殖场名称
     */
    private String userName;

    /**
     * 状态 0：未查看 1：已查看
     */
    private Integer status;

    /**
     * 备案表附件
     */
    private String appendix;

    /**
     * 寄件凭证
     */
    private String evidence;

    /**
     * 快递单号
     */
    private String expressNumber;


}
