package org.springblade.modules.app.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.wn.common.datamodel.LogicDeleteBaseDO;
import lombok.Data;

/**
 * <p>
 * 附件表
 * </p>
 *
 * @author fuxinsheng
 * @since 2021-11-05
 */
@Data
@TableName("tb_picture_info")
public class PictureInfoDO extends LogicDeleteBaseDO {

    private static final long serialVersionUID = 1L;

    /**
     * 关联id
     */
    private Long linkId;

    /**
     * 关联表
     */
    private String linkTable;

    /**
     * 类型
     */
    private Integer type;

    /**
     * 图片
     */
    private String url;

    /**
     * 排序
     */
    private Integer sort;

    /**
     * 图片信息
     */
    private String message;

    /**
     * 验收数量
     */
    private Integer acceptNum;


}
