package org.springblade.modules.app.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.springblade.modules.app.common.dto.UserDTO;
import org.springblade.modules.app.common.query.AdminUserBaseQuery;
import org.springblade.modules.app.entity.UserDO;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 用户信息表 Mapper 接口
 * </p>
 *
 * @author fuxinsheng
 * @since 2021-11-05
 */
public interface AppUserMapper extends BaseMapper<UserDO> {

    Page<UserDTO> pageRegisterUser(Page<UserDTO> page, @Param("query") AdminUserBaseQuery query);

    UserDO getUserByIdAll(@Param("id") Long id);
}
