package org.springblade.modules.app.service;

import org.springblade.modules.app.common.dto.VerifyStationDTO;
import org.springblade.modules.app.entity.VerifyStationDO;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * 检疫站信息 服务类
 * </p>
 *
 * @author fuxinsheng
 * @since 2021-11-08
 */
public interface IVerifyStationService extends IService<VerifyStationDO> {

    /**
     * 根据id获取检疫站信息
     *
     * @param verifyId
     * @return org.springblade.modules.app.common.dto.VerifyStationDTO
     * @author FUXINSHENG
     */
    VerifyStationDTO getVerifyById(Long verifyId);

    void updateVerifyStation();
}
