package org.springblade.common.upyzt.param;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
public class BusinessInfoParam implements Serializable {
    /**
     * 企业分类大类
     */
    private String type;

    /**
     * 企业分类细分
     */
    private String subType;

    /**
     * 企业经济成分
     */
    private String economy;

    /**
     * 企业规模
     */
    private String scale;

}
