package org.springblade.common.upyzt.param;

import com.google.gson.annotations.SerializedName;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.List;

/**
 * 扩展字段
 *
 * @author yf.zhao
 * @version 1.0
 * @since 2020/9/16
 */
@Data
@Accessors(chain = true)
public class Extra implements Serializable {

    /**
     * 产品信息
     */
    @SerializedName(value = "product_infos")
    private List<ProductInfo> productInfos;
}
