package org.springblade.common.upyzt.param;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
public class HoldingCompanyParam implements Serializable {
    /**
     * 股东类型
     */
    private String type;

    /**
     * 实际控制企业名称
     */
    private String name;

    /**
     * 实际控制企业营业执照号
     */
    private String licenseNumber;

    /**
     * 实际控制企业营业期限
     */
    private String licenseValidTime;
}
