package org.springblade.common.upyzt.param;

import com.google.gson.annotations.SerializedName;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * 产品信息
 *
 * @author yf.zhao
 * @version 1.0
 * @since 2020/9/16
 */
@Data
@Accessors(chain = true)
public class ProductInfo implements Serializable {

    /**
     * 订单编号
     */
    @SerializedName(value = "order_no")
    private String orderNo;

    /**
     * 订单金额
     */
    @SerializedName(value = "order_amount")
    private Long orderAmount;

    /**
     * 产品名称
     */
    @SerializedName(value = "product_name")
    private String productName;

    /**
     * 产品数量
     */
    @SerializedName(value = "product_count")
    private Integer productCount;
}
