package org.springblade.common.upyzt.resp;

import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.experimental.Accessors;

@Getter
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
public class SettleAcctDeleteResp extends UpyztResp {

    /**
     * 关联的商户订单号
     */
    private String outRequestNo;

    /**
     * 绑定账户ID
     */
    private String settleAcctId;

    /**
     * 是否删除成功
     */
    private boolean isDeleted;
}
