package org.springblade.modules.app.common.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.metadata.BaseRowModel;
import lombok.Data;
import lombok.ToString;

import java.util.Date;

/**
 * @author huyinuo
 */
@Data
@ToString
public class EnteringZhejiangFilingExportVO extends BaseRowModel {

    /**
     * 状态 0：未查看 1：已查看
     */
    @ExcelProperty(value = "状态 0：未查看 1：已查看", index = 0)
    private Integer status;

    /**
     * 养殖场名称
     */
    @ExcelProperty(value = "养殖场名称", index = 1)
    private String userName;

    /**
     * 提交时间
     */
    @ExcelProperty(value = "提交时间", index = 2)
    private Date createdTime;

    /**
     * 快递单号
     */
    @ExcelProperty(value = "快递单号", index = 3)
    private String expressNumber;

}
