package org.springblade.modules.app.common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @ClassName: OutApiSyncAcceptNumParamVO
 * @Description:
 * @author: fxs
 * @createTime: 2021-12-20-15:06
 */
@Data
@ApiModel(value = "OutApiSyncAcceptNumParamVO", description = "浙牧通对外接口--验收数量VO")
public class OutApiSyncAcceptNumParamVO {

    /**
     * 备案 uuid（备案成功接口返回）
     */
    @ApiModelProperty(name = "registeredUuid", value = "备案 uuid（备案成功接口返回）")
    private String registeredUuid;

    /**
     * 接收数量
     */
    @ApiModelProperty(name = "quantity", value = "接收数量")
    private Integer quantity;

    /**
     * 接收时间
     */
    @ApiModelProperty(name = "acceptTime", value = "接收时间")
    private Date acceptTime;

    /**
     * 接收备注
     */
    @ApiModelProperty(name = "acceptRemark", value = "接收备注")
    private String acceptRemark;
}
