package org.springblade.modules.app.common.vo;

import com.alibaba.fastjson.JSONObject;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @ClassName: OutApiSyncParamVO
 * @Description:
 * @author: fxs
 * @createTime: 2021-12-20-15:06
 */
@Data
@ApiModel(value = "OutApiSyncParamVO", description = "浙牧通对外接口VO")
public class OutApiSyncParamVO {

    /**
     * 字符集
     */
    @ApiModelProperty(name = "charset", value = "字符集")
    private String charset;

    /**
     * 版本号
     */
    @ApiModelProperty(name = "version", value = "版本号")
    private String version;

    /**
     * 时间戳
     */
    @ApiModelProperty(name = "utc_timestamp", value = "时间戳")
    private String utc_timestamp;

    /**
     * 加密签名
     */
    @ApiModelProperty(name = "signature", value = "加密签名")
    private String signature;

    /**
     * 业务参数JSON字符串
     */
    @ApiModelProperty(name = "bus_content", value = "业务参数JSON字符串")
    private JSONObject bus_content;
}
