package org.springblade.modules.app.common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @ClassName: OutApiSyncResultVO
 * @Description:
 * @author: fxs
 * @createTime: 2021-12-20-15:06
 */
@Data
@ApiModel(value = "OutApiSyncResultVO", description = "浙牧通对外接口--返回参数VO")
public class OutApiSyncResultVO {

    /**
     * 备案单编号
     */
    @ApiModelProperty(name = "code", value = "状态码")
    private String code;

    /**
     * 版本号
     */
    @ApiModelProperty(name = "message", value = "返回信息")
    private String message;

    /**
     * 返回内容
     */
    @ApiModelProperty(name = "data", value = "返回内容")
    private String data;

}
