package org.springblade.modules.app.config;

import lombok.Data;
import lombok.Getter;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.cloud.context.config.annotation.RefreshScope;
import org.springframework.stereotype.Component;

@Data
@Component
@RefreshScope
public class RemoteConfigProperties {

    @Value("${geTui.appId}")
    private String appId;

    @Value("${geTui.appKey}")
    private String appKey;

    @Value("${geTui.masterSecret}")
    private String masterSecret;

    @Value("${geTui.maxConnections}")
    private String maxConnections;

    @Value("${geTui.maxConnectionsNum}")
    private String maxConnectionsNum;
}
