package org.springblade.modules.app.dto;

import com.wn.common.datamodel.BaseDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
public class BusinessLicenseDTO extends BaseDTO {

    @ApiModelProperty(value = "企业名称")
    private String enterpriseName;

    @ApiModelProperty(value = "企业类型")
    private String enterpriseType;

    @ApiModelProperty(value = "地址")
    private String address;

    @ApiModelProperty(value = "法定代表人")
    private String legalRepresentative;

    @ApiModelProperty(value = "注册资本")
    private String capital;

    @ApiModelProperty(value = "注册日期")
    private Date establishDate;

    @ApiModelProperty(value = "截止日期")
    private Date validPeriod;

    @ApiModelProperty(value = "经营范围")
    private String business;

    @ApiModelProperty(value = "信用代码")
    private String regNum;
}

