package org.springblade.modules.app.dto;

import com.wn.common.datamodel.BaseDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author huyinuo
 */
@Data
public class DriverDTO extends BaseDTO {

    @ApiModelProperty(value = "驾驶证编号")
    private String number;

    @ApiModelProperty(value = "准驾车型")
    private String vehicleType;

    @ApiModelProperty(value = "签发单位")
    private String issueOrganization;

    @ApiModelProperty(value = "初次领证日期")
    private Date startTime;

    @ApiModelProperty(value = "有效期")
    private Date endTime;
}
