package org.springblade.modules.app.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * <p>
 * 滑动验证码入参参
 * </p>
 *
 * @author wangpanpan
 * @since 2021-06-21
 */
@Data
@ApiModel(value = "滑动验证码入参", description = "滑动验证码入参")
public class InnerCaptchaReqDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "验证码类型 blockPuzzle:滑动拼图 clickWord:文字点选")
    private String captchaType;

    @ApiModelProperty(value = "aes加密坐标信息")
    private String pointJson;

    @ApiModelProperty(value = "get请求返回的token")
    private String token;

    @ApiModelProperty(value = "验证数据，aes加密")
    private String captchaVerification;
}
