package org.springblade.modules.app.entity;

import com.wn.common.datamodel.LogicDeleteBaseDO;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.Version;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 消息记录表
 * </p>
 *
 * @author huyinuo
 * @since 2022-01-17
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("tb_message_logging")
public class MessageLoggingDO extends LogicDeleteBaseDO {

    private static final long serialVersionUID = 1L;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 客户端标识号id
     */
    private String clientId;

    /**
     * 状态 1：成功 -1：失败
     */
    private Integer status;

    /**
     * 消息代码
     */
    private Long messageCode;

    /**
     * 消息内容
     */
    private String messageContent;


}
