package org.springblade.modules.app.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.wn.common.datamodel.LogicDeleteBaseDO;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 问题反馈表
 * </p>
 *
 * @author zhangK
 * @since 2022-01-13
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("tb_problem_back")
public class ProblemBackDO extends LogicDeleteBaseDO {

    private static final long serialVersionUID = 1L;

    /**
     * 反馈用户id
     */
    private Long userId;

    /**
     * 状态 0未查看  1已查看
     */
    private Integer state;

    private Integer replyType;

    /**
     * 标题
     */
    private String title;

    private String replyContext;
    /**
     * 内容
     */
    private String content;

    /**
     * 附件url1
     */
    private String pictureUrl1;

    /**
     * 附件url2
     */
    private String pictureUrl2;

    /**
     * 附件url3
     */
    private String pictureUrl3;

}
