package org.springblade.modules.app.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.wn.common.datamodel.LogicDeleteBaseDO;
import lombok.Data;

/**
 * <p>
 * 检疫站信息
 * </p>
 *
 * @author fuxinsheng
 * @since 2021-11-05
 */
@Data
@TableName("tb_quarantine_station")
public class QuarantineStationDO extends LogicDeleteBaseDO {

    private static final long serialVersionUID = 1L;

    /**
     * 检疫站省份
     */
    private String provCode;

    /**
     * 检疫站名称
     */
    private Integer name;

    /**
     * 检疫站地址
     */
    private String address;


}
