package org.springblade.modules.app.service;

import com.baomidou.mybatisplus.extension.service.IService;
import org.springblade.modules.app.common.dto.SlaughterBuyerRelationLogDTO;
import org.springblade.modules.app.common.query.RelationQuery;
import org.springblade.modules.app.entity.SlaughterBuyerRelationLogDO;

import java.util.List;

/**
 * <p>
 * 代宰户与屠宰场绑定记录表 服务类
 * </p>
 *
 * @author zhangK
 * @since 2022-01-13
 */
public interface ISlaughterBuyerRelationLogService extends IService<SlaughterBuyerRelationLogDO> {


    Long insert(SlaughterBuyerRelationLogDTO dto);

    List<SlaughterBuyerRelationLogDTO> queryUnbindList(RelationQuery query);
}
